# XRPLID SDK

## Installation

{% embed url="<https://www.npmjs.com/package/xrplidjs>" %}

Make sure to install the following packages before installing xrplidjs: xrpl and verify-xrpl-signature.

```
npm install xrpl verify-xrpl-signature
```

Install Package

```
npm install xrplidjs
```

**See the code below**

```
const xrplidjs = require('xrplidjs');

const config = 
{
	rpcUrl: "wss://xrplcluster.com/",
	Issuer: "raAyazbgEkwzLByXipQuPLWFfnsPS1v1q9",
		
}

async function main() {
	const sdk = xrplidjs.SDK(config);	
	
	// your xrp domain
	const domain = "xrpdomains.xrp";
	// your address
	const address = "rLhi87aSCyNW88tW4632yLiwinbghFZNue";
		
	// resolve name to get the address of the owner.
	const objOwner = await sdk.getAddress(domain);
	console.log(objOwner);
	
	//Reverse Resolve Names
	const objDomain = await sdk.getName(address);
	console.log(objDomain);
	
	//Get All Names
	const objAllDomains = await sdk.getAllNames(address);
	console.log(objAllDomains);
}

main();
```

Please contact **<info@xrpdomains.xyz>** if you have any questions about integration.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpdomains.xyz/developer-guide/xrpl-name-sdk/xrplid-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
